Gecode::Int::ViewValGraph::IterPruneVal< View > Class Template Reference

Iterates the values to be pruned from a view node. More...

`#include <view-val-graph.hh>`

## Protected Attributes

ViewNode< View > * | x
| View node.
Edge< View > * | e
| Current value edge.

## Constructors and initialization

| IterPruneVal (ViewNode< View > *x)
| Initialize with edges for view node x.

## Iteration control

bool | operator() (void) const
| Test whether iterator is still at a value or done.
void | operator++ (void)
| Move iterator to next value (if possible).

## Value access

int | val (void) const
| Return current value.

## Detailed Description

template<class View>
class Gecode::Int::ViewValGraph::IterPruneVal< View >

Iterates the values to be pruned from a view node.

Definition at line 254 of file view-val-graph.hh.

## Constructor & Destructor Documentation

## IterPruneVal()

template<class View>

Gecode::Int::ViewValGraph::IterPruneVal< View >::IterPruneVal | ( | ViewNode< View > * | x | ) |

inline

Initialize with edges for view node x.

Definition at line 38 of file iter-prune-val.hpp.

## Member Function Documentation

## operator()()

template<class View>

bool Gecode::Int::ViewValGraph::IterPruneVal< View >::operator() | ( | void |  | ) | const

inline

Test whether iterator is still at a value or done.

Definition at line 45 of file iter-prune-val.hpp.

## operator++()

template<class View>

void Gecode::Int::ViewValGraph::IterPruneVal< View >::operator++ | ( | void |  | ) |

inline

Move iterator to next value (if possible).

Definition at line 50 of file iter-prune-val.hpp.

## val()

template<class View>

int Gecode::Int::ViewValGraph::IterPruneVal< View >::val | ( | void |  | ) | const

inline

Return current value.

Definition at line 58 of file iter-prune-val.hpp.

## Member Data Documentation

## x

template<class View>

ViewNode<View>* Gecode::Int::ViewValGraph::IterPruneVal< View >::x

protected

View node.

Definition at line 257 of file view-val-graph.hh.

## e

template<class View>

Edge<View>* Gecode::Int::ViewValGraph::IterPruneVal< View >::e

protected

Current value edge.

Definition at line 259 of file view-val-graph.hh.

The documentation for this class was generated from the following files:

- gecode/int/view-val-graph.hh
- gecode/int/view-val-graph/iter-prune-val.hpp